HyperTrackDocs
Geotags

Get Geotag Timeline

Retrieve a geotag identified by the geotag_id.

GET
/geotags/{geotag_id}

Retrieve a geotag identified by the geotag_id.

Authorization

AuthorizationBasic <token>

In: header

Path Parameters

geotag_id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/geotags/string"
{  "geotag_id": "befe814d-79e5-44d5-ac03-c4e47e0931c9",  "order_handle": "order-1",  "geotag_type": "PICKUP",  "ops_group_handle": "store-san-jose",  "system_generated_order_handle": false,  "recorded_at": "2023-04-19T14:00:58Z",  "device_id": "00112233-4455-6677-8899-AABBCCDDEEFF",  "worker_handle": "james_smith",  "driver_name": "James Smith",  "metadata": {    "regionId": 12234,    "zoneId": 3  },  "location": {    "geometry": {      "type": "Point",      "coordinates": [        -122.3599933082254,        37.753651385106075      ]    },    "address": "Dolores St &, 19th St, San Francisco, CA 94114"  },  "expected_location": {    "geometry": {      "type": "Point",      "coordinates": [        -122.4297458,        37.7617545      ]    },    "address": "3750 18th St, San Francisco, CA 94114"  },  "distance": 2300,  "duration": 1200,  "tracking_rate": 86.5,  "deviation": 500,  "start_location": {    "geometry": {      "type": "Point",      "coordinates": [        -122.4526714,        37.7652444      ]    },    "address": "941 Cole St, San Francisco, CA 94117"  },  "region": {    "city": "San Francisco",    "state": "California",    "country": "United States of America"  }}
{  "detail": {},  "message": "string"}
{  "detail": {},  "message": "string"}